@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    color: $primary;
    background-color: $white;
    font-family: $font-family-primary;
    font-size: $font-size-base;
    line-height: $line-height-base;
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    margin-bottom: 2rem;
    font-size: size-rel(36px);
}

h2, .h2 {
    margin-bottom: 1.5rem;
    font-size: size-rel(32px);
}

h3, .h3 {
    margin-bottom: 1.25rem;
    font-size: size-rel(24px);
}

h4, .h4 {
    margin-bottom: 1.25rem;
    font-size: size-rel(20px);
}

h5, .h5 {
    margin-bottom: 1.25rem;
    font-size: size-rel(16px);
}

h6, .h6 {
    margin-bottom: 1.25rem;
    font-size: size-rel(14px);
}

a {
    color: $secondary;
    text-decoration: underline;

    &:hover {
        color: $secondary;
        text-decoration: none;
    }
}

p {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

// Lists

ol,
ul {
    padding-left: 2rem;
}

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}


